### Method

# Json Object set_member

since: 0.8

#### Declaration [src]

    void
    json_object_set_member (
      JsonObject* object,
      const gchar* member_name,
      JsonNode* node
    )

#### Description [src]

Sets the value of a member inside an object.

If the object does not have a member with the given name, a new member is created.

If the object already has a member with the given name, the current value is overwritten with the new.

Available since: 0.8

#### Parameters

`member_name`

  Type: `const gchar*`

  The name of the member.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`node`

  Type: `JsonNode`

  The value of the member.

  The instance takes ownership of the data, and is responsible for freeing it.